path: /build/build/libbsd-dev-libs-0.12.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-libs/libbsd -pv -t && \
    emerge -j ${JOBS} --nodeps dev-libs/libbsd
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libbsd && luet-portage --dir /pkgdir/libbsd
    dev-libs/libbsd && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b3be7ee19497f048c9ba9c9cf2543ef0f693cba94f9861413880b7ee19abbe64
  package:
    name: libbsd
    version: 0.12.1
    category: dev-libs
    requires:
    - name: libmd
      version: '>=0'
      category: app-crypt
    - name: macaroni-funtoo-race3
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Library to provide useful functions commonly found on BSD systems
    uri:
    - https://libbsd.freedesktop.org/wiki/ https://gitlab.freedesktop.org/libbsd/libbsd
    license: BSD BSD-2 BSD-4 ISC
    buildtimestamp: 2024-03-03 21:15:00.023435114 +0000 UTC m=+1111.543036108
    labels:
      DEPEND: app-crypt/libmd[static-libs?] >=sys-kernel/linux-headers-3.17
      IUSE: static-libs
      RDEPEND: app-crypt/libmd[static-libs?]
      emerge.packages: dev-libs/libbsd
      kit: core-kit
      original.package.name: dev-libs/libbsd
      original.package.slot: "0"
      original.package.version: 0.12.1
    treedir: /build/packages
  package_dir: /pkgdir/libbsd
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: bfa9dc1891b8dabf482eb586300afbbabc28ddb519e6c67d63883b101f004861
compressiontype: zstd
files:
- usr/include/bsd/bitstring.h
- usr/include/bsd/bsd.h
- usr/include/bsd/err.h
- usr/include/bsd/getopt.h
- usr/include/bsd/grp.h
- usr/include/bsd/inttypes.h
- usr/include/bsd/libutil.h
- usr/include/bsd/md5.h
- usr/include/bsd/netinet/ip_icmp.h
- usr/include/bsd/nlist.h
- usr/include/bsd/pwd.h
- usr/include/bsd/readpassphrase.h
- usr/include/bsd/stdio.h
- usr/include/bsd/stdlib.h
- usr/include/bsd/string.h
- usr/include/bsd/stringlist.h
- usr/include/bsd/sys/bitstring.h
- usr/include/bsd/sys/cdefs.h
- usr/include/bsd/sys/endian.h
- usr/include/bsd/sys/param.h
- usr/include/bsd/sys/poll.h
- usr/include/bsd/sys/queue.h
- usr/include/bsd/sys/time.h
- usr/include/bsd/sys/tree.h
- usr/include/bsd/timeconv.h
- usr/include/bsd/unistd.h
- usr/include/bsd/vis.h
- usr/include/bsd/wchar.h
- usr/lib64/libbsd-ctor.a
- usr/lib64/libbsd.so
- usr/lib64/libbsd.so.0
- usr/lib64/libbsd.so.0.12.1
- usr/lib64/pkgconfig/libbsd-ctor.pc
- usr/lib64/pkgconfig/libbsd-overlay.pc
- usr/lib64/pkgconfig/libbsd.pc
- usr/share/man/man3/LIST_CLASS_ENTRY.3bsd
- usr/share/man/man3/LIST_CLASS_HEAD.3bsd
- usr/share/man/man3/LIST_EMPTY.3bsd
- usr/share/man/man3/LIST_ENTRY.3bsd
- usr/share/man/man3/LIST_FIRST.3bsd
- usr/share/man/man3/LIST_FOREACH.3bsd
- usr/share/man/man3/LIST_FOREACH_FROM.3bsd
- usr/share/man/man3/LIST_FOREACH_FROM_SAFE.3bsd
- usr/share/man/man3/LIST_FOREACH_SAFE.3bsd
- usr/share/man/man3/LIST_HEAD.3bsd
- usr/share/man/man3/LIST_HEAD_INITIALIZER.3bsd
- usr/share/man/man3/LIST_INIT.3bsd
- usr/share/man/man3/LIST_INSERT_AFTER.3bsd
- usr/share/man/man3/LIST_INSERT_BEFORE.3bsd
- usr/share/man/man3/LIST_INSERT_HEAD.3bsd
- usr/share/man/man3/LIST_NEXT.3bsd
- usr/share/man/man3/LIST_PREV.3bsd
- usr/share/man/man3/LIST_REMOVE.3bsd
- usr/share/man/man3/LIST_SWAP.3bsd
- usr/share/man/man3/RB_EMPTY.3bsd
- usr/share/man/man3/RB_ENTRY.3bsd
- usr/share/man/man3/RB_FIND.3bsd
- usr/share/man/man3/RB_FOREACH.3bsd
- usr/share/man/man3/RB_FOREACH_REVERSE.3bsd
- usr/share/man/man3/RB_GENERATE.3bsd
- usr/share/man/man3/RB_GENERATE_STATIC.3bsd
- usr/share/man/man3/RB_HEAD.3bsd
- usr/share/man/man3/RB_INIT.3bsd
- usr/share/man/man3/RB_INITIALIZER.3bsd
- usr/share/man/man3/RB_INSERT.3bsd
- usr/share/man/man3/RB_LEFT.3bsd
- usr/share/man/man3/RB_MAX.3bsd
- usr/share/man/man3/RB_MIN.3bsd
- usr/share/man/man3/RB_NEXT.3bsd
- usr/share/man/man3/RB_NFIND.3bsd
- usr/share/man/man3/RB_PARENT.3bsd
- usr/share/man/man3/RB_PREV.3bsd
- usr/share/man/man3/RB_PROTOTYPE.3bsd
- usr/share/man/man3/RB_PROTOTYPE_STATIC.3bsd
- usr/share/man/man3/RB_REMOVE.3bsd
- usr/share/man/man3/RB_RIGHT.3bsd
- usr/share/man/man3/RB_ROOT.3bsd
- usr/share/man/man3/SLIST_CLASS_ENTRY.3bsd
- usr/share/man/man3/SLIST_CLASS_HEAD.3bsd
- usr/share/man/man3/SLIST_EMPTY.3bsd
- usr/share/man/man3/SLIST_ENTRY.3bsd
- usr/share/man/man3/SLIST_FIRST.3bsd
- usr/share/man/man3/SLIST_FOREACH.3bsd
- usr/share/man/man3/SLIST_FOREACH_FROM.3bsd
- usr/share/man/man3/SLIST_FOREACH_FROM_SAFE.3bsd
- usr/share/man/man3/SLIST_FOREACH_SAFE.3bsd
- usr/share/man/man3/SLIST_HEAD.3bsd
- usr/share/man/man3/SLIST_HEAD_INITIALIZER.3bsd
- usr/share/man/man3/SLIST_INIT.3bsd
- usr/share/man/man3/SLIST_INSERT_AFTER.3bsd
- usr/share/man/man3/SLIST_INSERT_HEAD.3bsd
- usr/share/man/man3/SLIST_NEXT.3bsd
- usr/share/man/man3/SLIST_REMOVE.3bsd
- usr/share/man/man3/SLIST_REMOVE_AFTER.3bsd
- usr/share/man/man3/SLIST_REMOVE_HEAD.3bsd
- usr/share/man/man3/SLIST_REMOVE_PREVPTR.3bsd
- usr/share/man/man3/SLIST_SWAP.3bsd
- usr/share/man/man3/SPLAY_EMPTY.3bsd
- usr/share/man/man3/SPLAY_ENTRY.3bsd
- usr/share/man/man3/SPLAY_FIND.3bsd
- usr/share/man/man3/SPLAY_FOREACH.3bsd
- usr/share/man/man3/SPLAY_GENERATE.3bsd
- usr/share/man/man3/SPLAY_HEAD.3bsd
- usr/share/man/man3/SPLAY_INIT.3bsd
- usr/share/man/man3/SPLAY_INITIALIZER.3bsd
- usr/share/man/man3/SPLAY_INSERT.3bsd
- usr/share/man/man3/SPLAY_LEFT.3bsd
- usr/share/man/man3/SPLAY_MAX.3bsd
- usr/share/man/man3/SPLAY_MIN.3bsd
- usr/share/man/man3/SPLAY_NEXT.3bsd
- usr/share/man/man3/SPLAY_PROTOTYPE.3bsd
- usr/share/man/man3/SPLAY_REMOVE.3bsd
- usr/share/man/man3/SPLAY_RIGHT.3bsd
- usr/share/man/man3/SPLAY_ROOT.3bsd
- usr/share/man/man3/STAILQ_CLASS_ENTRY.3bsd
- usr/share/man/man3/STAILQ_CLASS_HEAD.3bsd
- usr/share/man/man3/STAILQ_CONCAT.3bsd
- usr/share/man/man3/STAILQ_EMPTY.3bsd
- usr/share/man/man3/STAILQ_ENTRY.3bsd
- usr/share/man/man3/STAILQ_FIRST.3bsd
- usr/share/man/man3/STAILQ_FOREACH.3bsd
- usr/share/man/man3/STAILQ_FOREACH_FROM.3bsd
- usr/share/man/man3/STAILQ_FOREACH_FROM_SAFE.3bsd
- usr/share/man/man3/STAILQ_FOREACH_SAFE.3bsd
- usr/share/man/man3/STAILQ_HEAD.3bsd
- usr/share/man/man3/STAILQ_HEAD_INITIALIZER.3bsd
- usr/share/man/man3/STAILQ_INIT.3bsd
- usr/share/man/man3/STAILQ_INSERT_AFTER.3bsd
- usr/share/man/man3/STAILQ_INSERT_HEAD.3bsd
- usr/share/man/man3/STAILQ_INSERT_TAIL.3bsd
- usr/share/man/man3/STAILQ_LAST.3bsd
- usr/share/man/man3/STAILQ_NEXT.3bsd
- usr/share/man/man3/STAILQ_REMOVE.3bsd
- usr/share/man/man3/STAILQ_REMOVE_AFTER.3bsd
- usr/share/man/man3/STAILQ_REMOVE_HEAD.3bsd
- usr/share/man/man3/STAILQ_SWAP.3bsd
- usr/share/man/man3/TAILQ_CLASS_ENTRY.3bsd
- usr/share/man/man3/TAILQ_CLASS_HEAD.3bsd
- usr/share/man/man3/TAILQ_CONCAT.3bsd
- usr/share/man/man3/TAILQ_EMPTY.3bsd
- usr/share/man/man3/TAILQ_ENTRY.3bsd
- usr/share/man/man3/TAILQ_FIRST.3bsd
- usr/share/man/man3/TAILQ_FOREACH.3bsd
- usr/share/man/man3/TAILQ_FOREACH_FROM.3bsd
- usr/share/man/man3/TAILQ_FOREACH_FROM_SAFE.3bsd
- usr/share/man/man3/TAILQ_FOREACH_REVERSE.3bsd
- usr/share/man/man3/TAILQ_FOREACH_REVERSE_FROM.3bsd
- usr/share/man/man3/TAILQ_FOREACH_REVERSE_FROM_SAFE.3bsd
- usr/share/man/man3/TAILQ_FOREACH_REVERSE_SAFE.3bsd
- usr/share/man/man3/TAILQ_FOREACH_SAFE.3bsd
- usr/share/man/man3/TAILQ_HEAD.3bsd
- usr/share/man/man3/TAILQ_HEAD_INITIALIZER.3bsd
- usr/share/man/man3/TAILQ_INIT.3bsd
- usr/share/man/man3/TAILQ_INSERT_AFTER.3bsd
- usr/share/man/man3/TAILQ_INSERT_BEFORE.3bsd
- usr/share/man/man3/TAILQ_INSERT_HEAD.3bsd
- usr/share/man/man3/TAILQ_INSERT_TAIL.3bsd
- usr/share/man/man3/TAILQ_LAST.3bsd
- usr/share/man/man3/TAILQ_NEXT.3bsd
- usr/share/man/man3/TAILQ_PREV.3bsd
- usr/share/man/man3/TAILQ_REMOVE.3bsd
- usr/share/man/man3/TAILQ_SWAP.3bsd
- usr/share/man/man3/TIMESPEC_TO_TIMEVAL.3bsd
- usr/share/man/man3/TIMEVAL_TO_TIMESPEC.3bsd
- usr/share/man/man3/arc4random.3bsd.bz2
- usr/share/man/man3/arc4random_addrandom.3bsd
- usr/share/man/man3/arc4random_buf.3bsd
- usr/share/man/man3/arc4random_stir.3bsd
- usr/share/man/man3/arc4random_uniform.3bsd
- usr/share/man/man3/be16dec.3bsd
- usr/share/man/man3/be16enc.3bsd
- usr/share/man/man3/be32dec.3bsd
- usr/share/man/man3/be32enc.3bsd
- usr/share/man/man3/be64dec.3bsd
- usr/share/man/man3/be64enc.3bsd
- usr/share/man/man3/bit_alloc.3bsd
- usr/share/man/man3/bit_clear.3bsd
- usr/share/man/man3/bit_decl.3bsd
- usr/share/man/man3/bit_ffc.3bsd
- usr/share/man/man3/bit_ffs.3bsd
- usr/share/man/man3/bit_nclear.3bsd
- usr/share/man/man3/bit_nset.3bsd
- usr/share/man/man3/bit_set.3bsd
- usr/share/man/man3/bit_test.3bsd
- usr/share/man/man3/bitstr_size.3bsd
- usr/share/man/man3/bitstring.3bsd.bz2
- usr/share/man/man3/byteorder.3bsd.bz2
- usr/share/man/man3/closefrom.3bsd.bz2
- usr/share/man/man3/dehumanize_number.3bsd
- usr/share/man/man3/errc.3bsd.bz2
- usr/share/man/man3/expand_number.3bsd.bz2
- usr/share/man/man3/explicit_bzero.3bsd.bz2
- usr/share/man/man3/fgetln.3bsd.bz2
- usr/share/man/man3/fgetwln.3bsd.bz2
- usr/share/man/man3/flopen.3bsd.bz2
- usr/share/man/man3/fmtcheck.3bsd.bz2
- usr/share/man/man3/fparseln.3bsd.bz2
- usr/share/man/man3/fpurge.3bsd.bz2
- usr/share/man/man3/freezero.3bsd
- usr/share/man/man3/funopen.3bsd.bz2
- usr/share/man/man3/getbsize.3bsd.bz2
- usr/share/man/man3/getmode.3bsd
- usr/share/man/man3/getpeereid.3bsd.bz2
- usr/share/man/man3/getprogname.3bsd.bz2
- usr/share/man/man3/gid_from_group.3bsd
- usr/share/man/man3/group_from_gid.3bsd
- usr/share/man/man3/heapsort.3bsd.bz2
- usr/share/man/man3/humanize_number.3bsd.bz2
- usr/share/man/man3/le16dec.3bsd
- usr/share/man/man3/le16enc.3bsd
- usr/share/man/man3/le32dec.3bsd
- usr/share/man/man3/le32enc.3bsd
- usr/share/man/man3/le64dec.3bsd
- usr/share/man/man3/le64enc.3bsd
- usr/share/man/man3/md5.3bsd.bz2
- usr/share/man/man3/mergesort.3bsd
- usr/share/man/man3/nlist.3bsd.bz2
- usr/share/man/man3/pidfile.3bsd.bz2
- usr/share/man/man3/pidfile_close.3bsd
- usr/share/man/man3/pidfile_open.3bsd
- usr/share/man/man3/pidfile_remove.3bsd
- usr/share/man/man3/pidfile_write.3bsd
- usr/share/man/man3/pwcache.3bsd.bz2
- usr/share/man/man3/queue.3bsd.bz2
- usr/share/man/man3/radixsort.3bsd.bz2
- usr/share/man/man3/readpassphrase.3bsd.bz2
- usr/share/man/man3/reallocarray.3bsd.bz2
- usr/share/man/man3/reallocf.3bsd.bz2
- usr/share/man/man3/recallocarray.3bsd
- usr/share/man/man3/setmode.3bsd.bz2
- usr/share/man/man3/setproctitle.3bsd.bz2
- usr/share/man/man3/setproctitle_init.3bsd
- usr/share/man/man3/setprogname.3bsd
- usr/share/man/man3/sl_add.3bsd
- usr/share/man/man3/sl_delete.3bsd
- usr/share/man/man3/sl_find.3bsd
- usr/share/man/man3/sl_free.3bsd
- usr/share/man/man3/sl_init.3bsd
- usr/share/man/man3/sradixsort.3bsd
- usr/share/man/man3/stringlist.3bsd.bz2
- usr/share/man/man3/strlcat.3bsd
- usr/share/man/man3/strlcpy.3bsd.bz2
- usr/share/man/man3/strmode.3bsd.bz2
- usr/share/man/man3/strnstr.3bsd.bz2
- usr/share/man/man3/strnunvis.3bsd
- usr/share/man/man3/strnvis.3bsd
- usr/share/man/man3/strtoi.3bsd.bz2
- usr/share/man/man3/strtonum.3bsd.bz2
- usr/share/man/man3/strtou.3bsd.bz2
- usr/share/man/man3/strunvis.3bsd
- usr/share/man/man3/strvis.3bsd
- usr/share/man/man3/strvisx.3bsd
- usr/share/man/man3/timeradd.3bsd.bz2
- usr/share/man/man3/timerclear.3bsd
- usr/share/man/man3/timercmp.3bsd
- usr/share/man/man3/timerisset.3bsd
- usr/share/man/man3/timersub.3bsd
- usr/share/man/man3/timespec.3bsd
- usr/share/man/man3/timespecadd.3bsd
- usr/share/man/man3/timespecclear.3bsd
- usr/share/man/man3/timespeccmp.3bsd
- usr/share/man/man3/timespecisset.3bsd
- usr/share/man/man3/timespecsub.3bsd
- usr/share/man/man3/timeval.3bsd.bz2
- usr/share/man/man3/tree.3bsd.bz2
- usr/share/man/man3/uid_from_user.3bsd
- usr/share/man/man3/unvis.3bsd.bz2
- usr/share/man/man3/user_from_uid.3bsd
- usr/share/man/man3/vis.3bsd.bz2
- usr/share/man/man3/wcslcat.3bsd
- usr/share/man/man3/wcslcpy.3bsd.bz2
- usr/share/man/man7/libbsd.7.bz2
- var/db/pkg/dev-libs/libbsd-0.12.1/BUILD_TIME
- var/db/pkg/dev-libs/libbsd-0.12.1/CATEGORY
- var/db/pkg/dev-libs/libbsd-0.12.1/CBUILD
- var/db/pkg/dev-libs/libbsd-0.12.1/CFLAGS
- var/db/pkg/dev-libs/libbsd-0.12.1/CHOST
- var/db/pkg/dev-libs/libbsd-0.12.1/CONTENTS
- var/db/pkg/dev-libs/libbsd-0.12.1/COUNTER
- var/db/pkg/dev-libs/libbsd-0.12.1/CXXFLAGS
- var/db/pkg/dev-libs/libbsd-0.12.1/DEFINED_PHASES
- var/db/pkg/dev-libs/libbsd-0.12.1/DEPEND
- var/db/pkg/dev-libs/libbsd-0.12.1/DESCRIPTION
- var/db/pkg/dev-libs/libbsd-0.12.1/EAPI
- var/db/pkg/dev-libs/libbsd-0.12.1/FEATURES
- var/db/pkg/dev-libs/libbsd-0.12.1/HOMEPAGE
- var/db/pkg/dev-libs/libbsd-0.12.1/IUSE
- var/db/pkg/dev-libs/libbsd-0.12.1/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libbsd-0.12.1/KEYWORDS
- var/db/pkg/dev-libs/libbsd-0.12.1/LDFLAGS
- var/db/pkg/dev-libs/libbsd-0.12.1/LICENSE
- var/db/pkg/dev-libs/libbsd-0.12.1/NEEDED
- var/db/pkg/dev-libs/libbsd-0.12.1/PF
- var/db/pkg/dev-libs/libbsd-0.12.1/PROVIDES
- var/db/pkg/dev-libs/libbsd-0.12.1/RDEPEND
- var/db/pkg/dev-libs/libbsd-0.12.1/REQUIRES
- var/db/pkg/dev-libs/libbsd-0.12.1/SIZE
- var/db/pkg/dev-libs/libbsd-0.12.1/SLOT
- var/db/pkg/dev-libs/libbsd-0.12.1/USE
- var/db/pkg/dev-libs/libbsd-0.12.1/environment.bz2
- var/db/pkg/dev-libs/libbsd-0.12.1/libbsd-0.12.1.ebuild
- var/db/pkg/dev-libs/libbsd-0.12.1/repository
package_cacheimage: ""
runtime:
  name: libbsd
  version: 0.12.1
  category: dev-libs
  requires:
  - name: libmd
    version: '>=0'
    category: app-crypt
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Library to provide useful functions commonly found on BSD systems
  uri:
  - https://libbsd.freedesktop.org/wiki/ https://gitlab.freedesktop.org/libbsd/libbsd
  license: BSD BSD-2 BSD-4 ISC
  labels:
    DEPEND: app-crypt/libmd[static-libs?] >=sys-kernel/linux-headers-3.17
    IUSE: static-libs
    RDEPEND: app-crypt/libmd[static-libs?]
    emerge.packages: dev-libs/libbsd
    kit: core-kit
    original.package.name: dev-libs/libbsd
    original.package.slot: "0"
    original.package.version: 0.12.1
